This method is deprecated.
Usage
// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.SearchUserIdsAsync(
new SearchUserIdsParams
{
Query = "test",
ClusterName = "theClusterName",
Page = 5,
HitsPerPage = 10,
}
);
// print the response
Console.WriteLine(response);
// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.searchUserIds(
searchUserIdsParams: SearchUserIdsParams(
query: "test",
clusterName: "theClusterName",
page: 5,
hitsPerPage: 10,
),
);
// print the response
print(response);
// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.SearchUserIds(client.NewApiSearchUserIdsRequest(
search.NewEmptySearchUserIdsParams().SetQuery("test").SetClusterName("theClusterName").SetPage(5).SetHitsPerPage(10)))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)
// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
SearchUserIdsResponse response = client.searchUserIds(
new SearchUserIdsParams().setQuery("test").setClusterName("theClusterName").setPage(5).setHitsPerPage(10)
);
// print the response
System.out.println(response);
// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.searchUserIds({
query: 'test',
clusterName: 'theClusterName',
page: 5,
hitsPerPage: 10,
});
// print the response
console.log(response);
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.searchUserIds(
searchUserIdsParams =
SearchUserIdsParams(
query = "test",
clusterName = "theClusterName",
page = 5,
hitsPerPage = 10,
)
)
// print the response
println(response)
// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->searchUserIds(
['query' => 'test',
'clusterName' => 'theClusterName',
'page' => 5,
'hitsPerPage' => 10,
],
);
// print the response
var_dump($response);
# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.search_user_ids(
search_user_ids_params={
"query": "test",
"clusterName": "theClusterName",
"page": 5,
"hitsPerPage": 10,
},
)
# print the response
print(response)
# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.search_user_ids(
Algolia::Search::SearchUserIdsParams.new(query: "test", cluster_name: "theClusterName", page: 5, hits_per_page: 10)
)
# print the response
puts(response)
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.searchUserIds(
searchUserIdsParams = SearchUserIdsParams(
query = "test",
clusterName = Some("theClusterName"),
page = Some(5),
hitsPerPage = Some(10)
)
),
Duration(100, "sec")
)
// print the response
println(response)
// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.searchUserIds(searchUserIdsParams: SearchUserIdsParams(
query: "test",
clusterName: "theClusterName",
page: 5,
hitsPerPage: 10
))
// print the response
print(response)
See the full API reference
For more details about input parameters
and response fields.